<?php
include_once '../sys/fnc.php';

/*
	@author: by Ak47res1
	@function: Срока действия услуги
*/
$validity2 = mysql_query("SELECT * FROM `my_orders` WHERE `works_to` < '".time()."' AND `status` = '1'");

while ($validity = mysql_fetch_array($validity2))
{
$reguserisp1 = file_get_contents("https://".$server.":1500/manager/ispmgr?authinfo=".$isprootlogin.":".$isprootpaswd."&out=xml&func=user.disable&elid=".$validity['isp_login']."&sok=yes");

if(preg_match('<ok/>',$reguserisp1)){ 
mysql_query("UPDATE `my_orders` SET `status` = '2' WHERE `id` = '". $validity['id'] ."'");
echo 'Действует до: '.ptime($validity['works_to']).' | # OK <br />';
mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('1', '".time()."', 'Приостановлена услуга №".$validity['id']."', 'Изменен статус услуги на «Остановлена» - ".$id_user['login']."')"); // Записуем лог
}else{
echo '<div class="err">Попробуйте позже №1</div>';
mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('1', '".time()."', 'Срок действия услуги №".$validity['id']."', 'Ошибка подключение к ROOT - ".$id_user['login']."')"); // Записуем лог
}
}	
if (mysql_num_rows($validity2)==0)echo "№1 NET<br />";
/*
 @end
*/
/*
	@author: by Ak47res1
	@function: Активировать заказ - "Остановлен"
*/
$validity3 = mysql_query("SELECT * FROM `my_orders` WHERE `works_to` < '".time()."' AND `status` = '2' AND `automatic_extension` = '1'");

while ($post3 = mysql_fetch_array($validity3))
{
$id_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post3['id_user']."'"));

if ($id_user['wmr'] >= $post3['price']){

$reguserisp2 = file_get_contents("https://".$server.":1500/manager/ispmgr?authinfo=".$isprootlogin.":".$isprootpaswd."&out=xml&func=user.enable&elid=".$post3['isp_login']."&sok=yes");


if(preg_match('<ok/>',$reguserisp2)){ 

mysql_query("UPDATE `user` SET `wmr` = '".($id_user['wmr']-$post3['price'])."' WHERE `id` = '$id_user[id]' LIMIT 1");

mysql_query("INSERT INTO `history_money` (`user`, `money`, `mp`, `usl`, `time`) values('$id_user[id]', '".$post3['price']."', '0', 'Продление услуги ".html($post3['name'])."', '".time()."')");

mysql_query("UPDATE `my_orders` SET `status` = '1', `works_to` = '".(time()+60 * 60 * 24 * 30)."' WHERE `id` = '". $post3['id'] ."'");
if ($set['extension_services']==0)mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('1', '".time()."', 'Продление услуги №".$post3['id']."', 'Продлил ".$id_user['login']."')"); // Записуем лог
echo '№2 | OK <br />';

}else{
mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('1', '".time()."', 'Продление услуги №".$post3['id']."', 'Ошибка подключение к ROOT - ".$id_user['login']."')"); // Записуем лог
echo '<div class="err">Попробуйте позже</div>';
}

}else{
echo '№2 | Нехватило денег | NO <br />';
if ($set['not_money']==0)mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('1', '".time()."', 'Продление услуги №".$post3['id']."', 'Не хватило денег у ".$id_user['login']."')"); // Записуем лог
}

}	
if (mysql_num_rows($validity3)==0)echo "№2 NET";
/*
 @end
*/
/*
 @text: Заказы биллинга
*/
/*
	@author: by Ak47res1
	@function: Срока действия услуги
*/
$validity2 = mysql_query("SELECT * FROM `orders_billing` WHERE `works_to` < '".time()."' AND `status` = '1'");

while ($validity = mysql_fetch_array($validity2))
{
$reguserisp1 = file_get_contents("https://".$server.":1500/manager/ispmgr?authinfo=".$isprootlogin.":".$isprootpaswd."&out=xml&func=user.disable&elid=".$validity['isp_login']."&sok=yes");

if(preg_match('<ok/>',$reguserisp1)){ 
mysql_query("UPDATE `my_orders` SET `status` = '2' WHERE `id` = '". $validity['id'] ."'");
echo 'Действует до: '.ptime($validity['works_to']).' | # OK <br />';
mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('1', '".time()."', 'Приостановлена работа биллинга №".$validity['id']."', 'Изменен статус услуги на «Остановлена» - ".$id_user['login']."')"); // Записуем лог
}else{
echo '<div class="err">Попробуйте позже №1</div>';
mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('1', '".time()."', 'Срок действия услуги №".$validity['id']."', 'Ошибка подключение к ROOT - ".$id_user['login']."')"); // Записуем лог
}
}	
if (mysql_num_rows($validity2)==0)echo "№1 NET<br />";
/*
 @end
*/
/*
	@author: by Ak47res1
	@function: Активировать заказ - "Остановлен"
*/
$validity3 = mysql_query("SELECT * FROM `orders_billing` WHERE `works_to` < '".time()."' AND `status` = '2' AND `automatic_extension` = '1'");

while ($post3 = mysql_fetch_array($validity3))
{
$id_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post3['id_user']."'"));

if ($id_user['wmr'] >= $post3['price']){

$reguserisp2 = file_get_contents("https://".$server.":1500/manager/ispmgr?authinfo=".$isprootlogin.":".$isprootpaswd."&out=xml&func=user.enable&elid=".$post3['isp_login']."&sok=yes");


if(preg_match('<ok/>',$reguserisp2)){ 

mysql_query("UPDATE `user` SET `wmr` = '".($id_user['wmr']-$post3['price'])."' WHERE `id` = '$id_user[id]' LIMIT 1");

mysql_query("INSERT INTO `history_money` (`user`, `money`, `mp`, `usl`, `time`) values('$id_user[id]', '".$post3['price']."', '0', 'Продление биллинга № ".intval($post3['id'])."', '".time()."')");

mysql_query("UPDATE `orders_billing` SET `status` = '1', `works_to` = '".(time()+60 * 60 * 24 * 30)."' WHERE `id` = '". $post3['id'] ."'");
mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('1', '".time()."', 'Продление услуги №".$post3['id']."', 'Продлил ".$id_user['login']."')"); // Записуем лог
echo '№3 | OK <br />';

}else{
mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('1', '".time()."', 'Продление услуги №".$post3['id']."', 'Ошибка подключение к ROOT - ".$id_user['login']."')"); // Записуем лог
echo '<div class="err">Попробуйте позже</div>';
}

}else{
echo '№3 | Нехватило денег | NO <br />';
if ($set['not_money']==0)mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('1', '".time()."', 'Продление услуги №".$post3['id']."', 'Не хватило денег у ".$id_user['login']."')"); // Записуем лог
}

}	
if (mysql_num_rows($validity3)==0)echo "№3 NET<br />";
/*
 @end
*/
/*
	@author: by Ak47res1
	@function: Вышло время продления
*/
$validity5n = mysql_query("SELECT * FROM `my_orders` WHERE `works_to` < '".(time()-60*60*24*7)."' AND `status` = '2'");

while ($validity5 = mysql_fetch_array($validity5n))
{
$id_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".$validity5['id_user']."'"));
echo 'Услуга активна была до: '.ptime($validity5['works_to']).' | # OK <br />';
mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('1', '".time()."', 'Изменили статус услуги №".$validity5['id']."', 'Изменен статус услуги на Обрабатывается - ".$id_user['login']." / Услуга активна была до: ".ptime($validity5['works_to'])."')"); // Записуем лог
mysql_query("UPDATE `my_orders` SET `status` = '3' WHERE `id` = '". $validity5['id'] ."'");
}
if (mysql_num_rows($validity5n) == 0)echo "№5 NET<br />";
/*
 @end
*/
?>